Public Class frmUidLink
    Public link As String

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        If frmCheckliste.txtUid.Text <> "" Then
            WebBrowser1.Navigate(link)
            Label3.Text = frmCheckliste.txtFirma.Text
            Label4.Text = frmCheckliste.txtUid.Text
            frmCheckliste.lblEORIAbfrage.Text = ""
            frmCheckliste.picUIDAbfrage.Image = Nothing
            frmCheckliste.picUIDAbfrage.Visible = False
        Else
            MsgBox("Keine UID-Nummer eingegeben!")
            Me.Close()
        End If

    End Sub


    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles btnOK.Click
        frmCheckliste.eoriTrue()
        Me.Close()
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles btnNO.Click
        Me.Close()
        frmCheckliste.eoriFalse()
        MsgBox("Bitte brechen Sie die Bearbeitung ab - UID Nummer muss korrekt sein!", vbInformation)
    End Sub

  

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click
        WebBrowser1.ShowPrintDialog()
    End Sub

    Private Sub WebBrowser1_DocumentCompleted(sender As Object, e As WebBrowserDocumentCompletedEventArgs) Handles WebBrowser1.DocumentCompleted
        ' WebBrowser1.Navigate("javascript:document.getElementById('tid').value='" & My.Resources.tid & "';")
    End Sub

    Private Sub Button2_Click_1(sender As Object, e As EventArgs) Handles Button2.Click
        '   WebBrowser1.Navigate("javascript:document.getElementById('tid').value='" & My.Resources.tid & "';")
        WebBrowser1.Document.GetElementById("tid").InnerText = My.Resources.tid
        WebBrowser1.Document.GetElementById("benid").InnerText = My.Resources.benid
        WebBrowser1.Document.GetElementById("pin").InnerText = My.Resources.pin
        ' WebBrowser1.Document.GetElementById("loginCommand").InvokeMember("submit ") = My.Resources.pin

        '  MsgBox(WebBrowser1.Document.Forms(1).Name)
        '  WebBrowser1.AllowNavigation = True
        '  WebBrowser1.Document.Forms(1).InvokeMember("submit")
        ' Dim myForm As New WebBrowserForm(WebBrowser1)
        'myForm.Radiobox("direction", "sw")
        'myForm.Submit()
    End Sub
End Class